Subject: Merge pull request #793 from kaadevelop/12.0
Author: Bot
Committer: GitHub

Date Level Type Message
2019-08-20 14:07:52 INFO runbot init Init build environment
2019-08-20 14:07:52 INFO runbot checkout closest branch for odoo/odoo is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout closest branch for it-projects-llc/server-tools is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout closest branch for it-projects-llc/project is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout closest branch for OCA/website is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout closest branch for codup/odoo-ru is refs/heads/12.0
2019-08-20 14:07:52 INFO runbot checkout modules to install: [u'base']
2019-08-20 14:08:07 INFO runbot check_branch_name Enable to get pull info
2019-08-20 14:08:07 INFO runbot test_base Test Updated and explicit modules
2019-08-20 14:08:07 INFO runbot _install_and_test DB: 03877-12-0-134c8e-base, Modules: base
2019-08-20 14:08:38 INFO runbot pylint_script Start pylint script
2019-08-20 14:08:38 INFO runbot pylint_script No config file detected
2019-08-20 14:08:51 INFO runbot test_all ============= Test all modules =============
2019-08-20 14:08:51 INFO runbot _install_and_test DB: 03877-12-0-134c8e-all, Modules: base, autostaging_project_task, base_attendance, res_users_signature, web_sessions_management, project_tags, custom_menu_bar, project_task_order_kanban_state, base_import_map, res_partner_phone, web_debranding, invoice_sale_order_line_group, ir_attachment_force_storage, product_category_taxes, project_gantt8, reminder_crm_next_action, web_iframe_pages, autostaging_base, ir_attachment_url, web_calendar_repeat_form, thecage_data, base_session_store_psql, project_kanban_customer, customer_marketing, attachment_large_object, fleet_odometer_oil, auth_signup_confirmation, import_csv_fix_field_limit, project_task_auto_staging, crm_next_action, web_tour_extra, base_details, reminder_base, barcode_widget, ir_attachment_s3, product_details, project_task_subtask, project_description, reminder_task_deadline, hr_rule_input_compute, delivery_sequence, res_partner_country_code, web_calendar_quick_navigation, web_gantt8, reminder_crm_next_action_time, ir_actions_todo_repeat, res_users_signature_hr, reminder_issue_deadline, ir_config_parameter_multi_company, production_lot_details, web_multi_attachment_base, project_task_search_custom, reminder_hr_recruitment, web_iframe, project_timelog, delivery_special, web_website, web_preview, auth_signup_confirmation_crm, currency_rate_update, sale_order_hide_tax, pad_crm, res_partner_skype, hr_public_holidays_ics_import, product_tags, crm_expected_revenue, web_polymorphic_field, fleet_odometer_track_changes
2019-08-20 14:11:08 INFO runbot run Start running build 03877-12-0-134c8e
2019-08-20 14:17:14 ERROR server odoo.modules.registry:91 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('decimal.precision', <function DecimalPrecision.precision_get at 0x7fe42218a2f0>, 'Product Price')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/modules/loading.py", line 424, in load_modules
    registry.setup_models(cr)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/modules/registry.py", line 264, in setup_models
    model._setup_base()
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/models.py", line 2576, in _setup_base
    self._add_field(name, field.new())
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/models.py", line 297, in _add_field
    field.setup_base(self, name)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/fields.py", line 385, in setup_base
    self._setup_attrs(model, name)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/fields.py", line 458, in _setup_attrs
    if not (self.store and self.column_type) or self.manual or self.deprecated:
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/fields.py", line 1239, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/fields.py", line 1246, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-97>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/addons/decimal_precision/models/decimal_precision.py", line 20, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 506, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/modules/registry.py", line 470, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 657, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 171, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 540, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 603, in borrow
    raise PoolError('The Connection Pool Is Full')
psycopg2.pool.PoolError: The Connection Pool Is Full
2019-08-20 14:17:14 ERROR server odoo.addons.base.models.ir_cron:110 _callback
Call from cron Snailmail: process letters queue for server action #143 failed in Job #7
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('decimal.precision', <function DecimalPrecision.precision_get at 0x7fe42218a2f0>, 'Product Price')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/addons/base/models/ir_cron.py", line 92, in _callback
    if self.pool != self.pool.check_signaling():
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/modules/registry.py", line 390, in check_signaling
    self = Registry.new(self.db_name)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/modules/loading.py", line 424, in load_modules
    registry.setup_models(cr)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/modules/registry.py", line 264, in setup_models
    model._setup_base()
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/models.py", line 2576, in _setup_base
    self._add_field(name, field.new())
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/models.py", line 297, in _add_field
    field.setup_base(self, name)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/fields.py", line 385, in setup_base
    self._setup_attrs(model, name)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/fields.py", line 458, in _setup_attrs
    if not (self.store and self.column_type) or self.manual or self.deprecated:
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/fields.py", line 1239, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/fields.py", line 1246, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-97>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/addons/decimal_precision/models/decimal_precision.py", line 20, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 506, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/modules/registry.py", line 470, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 657, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 171, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 540, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03877-12-0-134c8e/odoo/sql_db.py", line 603, in borrow
    raise PoolError('The Connection Pool Is Full')
psycopg2.pool.PoolError: The Connection Pool Is Full
2019-08-21 06:41:16 INFO runbot kill Kill build 03877-12-0-134c8e